aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/tox/doc_verify.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2022-01-31 15:24:53 +0100
committerPeter Mikus <peter.mikus@protonmail.ch>2022-06-30 07:02:06 +0000
commit9e22f65d5e9f7045625a8d6bf79ce75d836e1447 (patch)
tree847c04b2e7890700781289a62ab1a8b49c1ef3af /resources/libraries/bash/entry/tox/doc_verify.sh
parent325cef50672aed697e277405fe9bb9b797d02701 (diff)
style(tox): prepare for fixer scripts
The previous code assumes each tox script is a checker. We want to add fixer scripts (not voting but editing) soon. This is the less interesting part of the process, renaming things and updating comments. Includes some basic descriptions of how fixers differ from checkers. Change-Id: I1ca1572a328acd02b41dcf4e70d7cb3746a03b03 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry/tox/doc_verify.sh')
-rw-r--r--resources/libraries/bash/entry/tox/doc_verify.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/resources/libraries/bash/entry/tox/doc_verify.sh b/resources/libraries/bash/entry/tox/doc_verify.sh
new file mode 100644
index 0000000000..7eec4b69e4
--- /dev/null
+++ b/resources/libraries/bash/entry/tox/doc_verify.sh
@@ -0,0 +1,51 @@
+# Copyright (c) 2022 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeuo pipefail
+
+# This file should be executed from tox, as the assumend working directory
+# is different from where this file is located.
+# This file does not have executable flag nor shebang,
+# to dissuade non-tox callers.
+
+# "set -eu" handles failures from the following two lines.
+BASH_CHECKS_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))"
+BASH_FUNCTION_DIR="$(readlink -e "${BASH_CHECKS_DIR}/../../function")"
+source "${BASH_FUNCTION_DIR}/common.sh" || {
+ echo "Source failed." >&2
+ exit 1
+}
+source "${BASH_FUNCTION_DIR}/docs.sh" || die "Source failed."
+common_dirs || die
+activate_virtualenv || die
+
+# Documentation generation.
+# Here we do store only stderr to file while stdout (inlcuding Xtrace) is
+# printed to console. This way we can track increased errors in future.
+# We do not need to do trap as the env will be closed after tox finished the
+# task.
+exec 3>&1 || die
+export BASH_XTRACEFD="3" || die
+log_file="$(pwd)/doc_verify.log" || die
+
+generate_docs 2> ${log_file} || die
+
+if [[ "${DOCS_EXIT_STATUS}" != 0 ]]; then
+ # Failed to generate report.
+ warn
+ warn "Doc verify checker: FAIL"
+ exit 1
+fi
+
+warn
+warn "Doc verify checker: PASS"